@import "inc/variables";
@import "inc/mixins";

$preset-id : 1;
$color-1 : set-preset-color($preset-id, 1);
$color-2 : set-preset-color($preset-id, 2);
$color-3 : set-preset-color($preset-id, 3);
$color-4 : set-preset-color($preset-id, 4);
#add-agent-form-container, #TB_ajaxContent {
	background    : $color-1;
	padding       : 30px;
	border-radius : 5px;
	> h2 {
		margin-top    : 0;
		margin-bottom : 30px;
		border-bottom : 1px solid darken($color-1, 10%);
		line-height   : 80px;
	}
	.uk-form {
		select, textarea, input:not([type]), input[type="text"], input[type="password"], input[type="datetime"], input[type="datetime-local"], input[type="date"], input[type="month"], input[type="time"], input[type="week"], input[type="number"], input[type="email"], input[type="url"], input[type="search"], input[type="tel"], input[type="color"] {
			width : 100%;
		}
		textarea {
			height : 180px;
		}
		label {
			span {
				color : red;
			}
		}
	}
}

#agent-list-tbl {
	background    : $color-1;
	margin-top    : 30px;
	padding       : 20px;
	border-radius : 5px;
	position      : relative;
	.add-agent {
		position : absolute;
		right    : 0;
		top      : -50px;
	}
}

#TB_ajaxContent {
	position : relative;
	.loader-box {
		display    : block;
		position   : absolute;
		left       : 0;
		top        : 0;
		width      : 100%;
		height     : 100%;
		background : rgba($color-1, .5);
		i {
			position  : absolute;
			left      : 50%;
			top       : 50%;
			transform : translateX(-50%) translateY(-50%);
			font-size : 5em;
		}
	}
}

@keyframes uk-rotate {
	0% {
		transform : rotate(0)
	}
	100% {
		transform : rotate(359deg)
	}
}
